Bug 117364 - Special Character dialog grid not reset completely when changing font selection, metrics for prior character selection retained and grid corrupted
Summary: Special Character dialog grid not reset completely when changing font selecti...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Special-Character
  Show dependency treegraph
 
Reported: 2018-05-01 04:08 UTC by V Stuart Foote
Modified: 2018-05-05 14:08 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2018-05-01 04:08:56 UTC
STR

1. New Writer document
2. Open the Special Character dialog
3. font should default to Liberation Serif
4. click/place the capital "X"
5. change font from drop list, Caldea for example
6. chart grid redraws, but the "X" glyph is misplaced (and seems off size)
7. selecting other glyphs from the grid does not clear the misplaced/sized "X"

On Windows 10 Pro 64-bit en-US first noted with
Version: 6.1.0.0.alpha1+ (x64)
Build ID: fb0a81d04cc4b425bbd7dd9b8e32d8d9b6c3bc4e
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2018-04-27_16:58:09
Locale: en-US (en_US); Calc: CL

but was fine through

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 2ed7c02478968852d7d39c2c4677f2ecf3441bc7
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-22_02:13:55
Locale: en-US (en_US); Calc: CL
Comment 1 V Stuart Foote 2018-05-01 04:54:07 UTC
Was good through the 6.1.0 Alpha1 branch
Version: 6.1.0.0.alpha1 (x64)
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: CL

So in the range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=cb47f0d320994e001bc38dc2ee9b7d957b15e6ab..fb0a81d04cc4b425bbd7dd9b8e32d8d9b6c3bc4e

But nothing jumps out at me as work affecting the SvxCharacterMap, last refactored for the Weld work.
Comment 2 Caolán McNamara 2018-05-01 15:06:12 UTC
Don't see it under Linux, but I do see it with a windows daily build
Comment 3 Xisco Faulí 2018-05-02 15:17:56 UTC
Regression introduced by:

author	Noel Grandin <noel@peralex.com>	2018-04-24 08:36:58 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2018-04-26 08:48:06 +0200
commit	13a1bc409d9b2f0d14f4d316b7977b1fc2eb3c8a (patch)
tree	97c8f08726749007311263dad8280480bde449b9
parent	96c1aad92b40a14d0d4af662e276b6967560ec20 (diff)
tdf#113643 Editing tables in Impress lags terribly
Despite my previous commit here, the time was still being spent building
bound rect's for font glyphs, so improve the caching so we don't need to
clear it when we change the font selected into the DC.

Bisected with: bibisect-win32-6.0

Adding Cc: to Noel Grandin
Comment 4 Commit Notification 2018-05-04 10:33:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e74fd983e3195ea2867acd4b925e9899571a1651

tdf#117364 Special Character dialog grid font issues

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 V Stuart Foote 2018-05-05 14:08:20 UTC
Yes grid and glyph position are correct now with
Version: 6.1.0.0.alpha1+
Build ID: 0b56585cfc047decf25c648d3cccfc3c7b594a86
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-05_05:23:29
Locale: en-US (en_US); Calc: CL